Subject: bug#65558: 30.0.50; project-other-{window,frame,tab}-command a bit too obtrusive

From: Pengji Zhang <[email-masked]>
Date: Tue, 29 Aug 2023 23:58:18 -0400

Thanks for the pointer! That is a long thread so I only skimmed it. I
think you meant this snippet in [0]:

> (defun project-other-window-command ()
>   (interactive)
>   (other-window-prefix)
>   (set-transient-map (make-composed-keymap project-prefix-map
>                                            project-other-window-map)))

That indeed fixes the issue. My only concern is that
`other-window-prefix' is a new function introduced in Emacs 28.

[0] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63648#95

On Sun, Aug 27, 2023 at 12:21 PM Juri Linkov <[email-masked]> wrote:
>
> > Currently the function `project--other-place-command' uses
> > `display-buffer-overriding-action' which IMO makes
> > project-other-{window,frame,tab}-command a bit too obtrusive. For
> > example,
> >
> > 1. Start Emacs with 'emacs -Q';
> > 2. Press 'C-x 5 p f';
> > 3. Press 'TAB'.
> >
> > Then the '*Completions*' buffer pops up in a new frame. The expected
> > behavior of mine is that the '*Completions*' buffer shows at the
> > bottom of the current frame, which is the same as most of other 'C-x
> > 5' commands.
>
> Thanks for the request.  I believe this will be fixed in bug#63648.